## org.eclipse.emf.common.util
Class DelegatingEList.NonResolvingEListIterator<E1>

    java.lang.Object
      org.eclipse.emf.common.util.DelegatingEList.EIterator<E1>
          org.eclipse.emf.common.util.DelegatingEList.EListIterator<E1>
              org.eclipse.emf.common.util.DelegatingEList.NonResolvingEListIterator<E1>

All Implemented Interfaces:
  java.util.Iterator<E1>, java.util.ListIterator<E1>

Enclosing class:
  DelegatingEList<E>

    protected class DelegatingEList.NonResolvingEListIterator<E1>

extends DelegatingEList.EListIterator<E1>

An extended read-only list iterator that does not `resolve` objects.

Field Summary

Fields inherited from class org.eclipse.emf.common.util.DelegatingEList.EIterator
`cursor, expectedModCount, lastCursor`

Constructor Summary
`DelegatingEList.NonResolvingEListIterator()` Creates an instance.
`DelegatingEList.NonResolvingEListIterator(int index)` Creates an instance advanced to the index.

Method Summary
`void` `add(E1 object)` Throws an exception.
`protected E` `doNext()` Returns the next object and advances the iterator.
`protected E` `doPrevious()` Returns the previous object and advances the iterator.
`void` `remove()` Throws an exception.
`void` `set(E1 object)` Throws an exception.

Methods inherited from class org.eclipse.emf.common.util.DelegatingEList.EListIterator
`doAdd, doSet, hasPrevious, nextIndex, previous, previousIndex`

Methods inherited from class org.eclipse.emf.common.util.DelegatingEList.EIterator
`checkModCount, hasNext, next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.ListIterator
`hasNext, next`

Constructor Detail

### DelegatingEList.NonResolvingEListIterator

    public DelegatingEList.NonResolvingEListIterator()

  Creates an instance.

### DelegatingEList.NonResolvingEListIterator

    public DelegatingEList.NonResolvingEListIterator(int index)

  Creates an instance advanced to the index.

  Parameters:
    `index` - the starting index.

Method Detail

### doNext

    protected E doNext()

  Returns the next object and advances the iterator. This implementation accesses the backing list directly.

  Overrides:
    `doNext` in class `DelegatingEList.EIterator<E1>`
  Returns:
    the next object.
  Throws:
    `java.util.NoSuchElementException` - if the iterator is done.

### doPrevious

    protected E doPrevious()

  Returns the previous object and advances the iterator. This implementation accesses the backing list directly.

  Overrides:
    `doPrevious` in class `DelegatingEList.EListIterator<E1>`
  Returns:
    the previous object.
  Throws:
    `java.util.NoSuchElementException` - if the iterator is done.

### remove

    public void remove()

  Throws an exception.

  Specified by:
    `remove` in interface `java.util.Iterator<E1>`
  Specified by:
    `remove` in interface `java.util.ListIterator<E1>`
  Overrides:
    `remove` in class `DelegatingEList.EIterator<E1>`
  Throws:
    `java.lang.UnsupportedOperationException` - always because it's not supported.

### set

    public void set(E1 object)

  Throws an exception.

  Specified by:
    `set` in interface `java.util.ListIterator<E1>`
  Overrides:
    `set` in class `DelegatingEList.EListIterator<E1>`
  Parameters:
    `object` - the object to set.
  Throws:
    `java.lang.UnsupportedOperationException` - always because it's not supported.

### add

    public void add(E1 object)

  Throws an exception.

  Specified by:
    `add` in interface `java.util.ListIterator<E1>`
  Overrides:
    `add` in class `DelegatingEList.EListIterator<E1>`
  Parameters:
    `object` - the object to add.
  Throws:
    `java.lang.UnsupportedOperationException` - always because it's not supported.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.